Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Anna Platis" <[email-masked]>
Date: Mon, 6 Jun 2011 15:57:56 -0400

If you could please call our customer service line, someone could look up you order and email or fax you a receipt.
Thank you,
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: LLPS 
  To: [email-masked] 
  Sent: Monday, June 06, 2011 1:29 PM
  Subject: LLPS Contact Us Submission

  Name: Anna Platis

  E-mail Address: [email-masked]

  Telephone: 4102352210x203

  Message: Hi, we ordered MD Labor Law posters at the end of March for Village
  Learning Place Inc. We paid by debit card, but the person I spoke to
  on the phone when I ordered was supposed to email me an invoice. I
  never received one, and I need it for our files, can some one send it
  to me? I don't have an order number or anything else, unfortunately.

  Request generated on June 6th, 2011 at 1:29 PM EST from the IP address 173.167.203.213